<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__general__types_8h" kind="file" language="C++">
    <compoundname>cyhal_general_types.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="no">stdbool.h</includes>
    <includes local="yes" refid="cy__result_8h">cy_result.h</includes>
    <includedby local="yes" refid="cyhal_8h">cyhal.h</includedby>
    <includedby local="yes" refid="cyhal__hw__types_8h">cyhal_hw_types.h</includedby>
    <includedby local="yes" refid="cyhal__deprecated_8h">cyhal_deprecated.h</includedby>
    <includedby local="yes" refid="cyhal__analog__common_8h">cyhal_analog_common.h</includedby>
    <includedby local="yes" refid="cyhal__i2s_8h">cyhal_i2s.h</includedby>
    <includedby local="yes" refid="cyhal__pdmpcm_8h">cyhal_pdmpcm.h</includedby>
    <includedby local="yes" refid="cyhal__syspm_8h">cyhal_syspm.h</includedby>
    <incdepgraph>
      <node id="114">
        <label>stdbool.h</label>
      </node>
      <node id="113">
        <label>stdint.h</label>
      </node>
      <node id="112">
        <label>cyhal_general_types.h</label>
        <link refid="cyhal__general__types_8h" />
        <childnode refid="113" relation="include">
        </childnode>
        <childnode refid="114" relation="include">
        </childnode>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structcyhal__syspm__callback__data__t">cyhal_syspm_callback_data_t</innerclass>
    <innerclass prot="public" refid="structcyhal__clock__tolerance__t">cyhal_clock_tolerance_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__syspm_1ga76ba531d277abb20e430874026756664" kind="define" prot="public" static="no">
        <name>CYHAL_SYSPM_CALLBACK_STATE_ALL</name>
        <initializer>(CYHAL_SYSPM_CB_CPU_SLEEP\
                                        | CYHAL_SYSPM_CB_CPU_DEEPSLEEP\
                                        | CYHAL_SYSPM_CB_SYSTEM_HIBERNATE\
                                        | CYHAL_SYSPM_CB_SYSTEM_NORMAL\
                                        | <ref kindref="member" refid="group__group__hal__syspm_1gga560aa7873d3131c4eb5d1453711305d2af13d1c94115a90b1f9d734ace0017045">CYHAL_SYSPM_CB_SYSTEM_LOW</ref>)</initializer>
        <briefdescription>
<para>Define for enabling all system and MCU state callbacks . </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" bodystart="177" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" line="177" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__results_1ga84f32ecb6376e2088d4f048e35f52005" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_rslt_module_chip</name>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005aa31caff90dfe21b862ea4c4d034208b6" prot="public">
          <name>CYHAL_RSLT_MODULE_HWMGR</name>
          <initializer>= (0x01 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in hardware management module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a5d2be4eb2e87e5d4f89f4b01cc69abc1" prot="public">
          <name>CYHAL_RSLT_MODULE_ADC</name>
          <initializer>= (0x02 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in ADC module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a5664ced7d9350688ae8eccad08477747" prot="public">
          <name>CYHAL_RSLT_MODULE_CLOCK</name>
          <initializer>= (0x03 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in Clock module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a381517173cfef57e367895000979e1cb" prot="public">
          <name>CYHAL_RSLT_MODULE_COMP</name>
          <initializer>= (0x04 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in comparator module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab957798178a7d11049efcba5bf4887fc" prot="public">
          <name>CYHAL_RSLT_MODULE_CRC</name>
          <initializer>= (0x05 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in crypto CRC module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a06cacdcbcf43191ea723f86b18ab68e8" prot="public">
          <name>CYHAL_RSLT_MODULE_DAC</name>
          <initializer>= (0x06 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in DAC module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a7f8347561e9fbf193dd8b77904163acc" prot="public">
          <name>CYHAL_RSLT_MODULE_DMA</name>
          <initializer>= (0x07 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in DMA module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af4818692bb8ff6b7b19c2b15e395c1da" prot="public">
          <name>CYHAL_RSLT_MODULE_EZI2C</name>
          <initializer>= (0x08 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in EZI2C module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005adae9f9541be461434c4e2011fe477bc3" prot="public">
          <name>CYHAL_RSLT_MODULE_FLASH</name>
          <initializer>= (0x09 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in flash module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a8a22f6926766c2e3e69868ec51c2572b" prot="public">
          <name>CYHAL_RSLT_MODULE_GPIO</name>
          <initializer>= (0x0A &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in GPIO module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a48c873ac3890a78ae0379e725396c607" prot="public">
          <name>CYHAL_RSLT_MODULE_I2C</name>
          <initializer>= (0x0B &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in I2C module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a8f3c272518c2a32f2455e34137a5180d" prot="public">
          <name>CYHAL_RSLT_MODULE_I2S</name>
          <initializer>= (0x0C &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in I2S module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab9373b6613ccb00bd4dedab0ae06d11c" prot="public">
          <name>CYHAL_RSLT_MODULE_INTERCONNECT</name>
          <initializer>= (0x0D &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in Interconnect module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a291ed2da7ed5183c3e2164ab8b6a8c3e" prot="public">
          <name>CYHAL_RSLT_MODULE_OPAMP</name>
          <initializer>= (0x0E &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in OpAmp module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a52c9005959fa8236fc262a990d3bd48f" prot="public">
          <name>CYHAL_RSLT_MODULE_PDMPCM</name>
          <initializer>= (0x0F &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in PDM/PCM module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ac0436b7ec40cb5d645207a8bb23c0e0d" prot="public">
          <name>CYHAL_RSLT_MODULE_PWM</name>
          <initializer>= (0x10 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in PWM module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c" prot="public">
          <name>CYHAL_RSLT_MODULE_QSPI</name>
          <initializer>= (0x11 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in QSPI module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af4f1d56292f0da9d3cdfa3cea392f304" prot="public">
          <name>CYHAL_RSLT_MODULE_QUADDEC</name>
          <initializer>= (0x12 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in Quadrature Decoder module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a14d37547bcd694a6e968b9acf3eadd7b" prot="public">
          <name>CYHAL_RSLT_MODULE_RTC</name>
          <initializer>= (0x13 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in RTC module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a70df074a301b74eb9ebb1f48e65c9377" prot="public">
          <name>CYHAL_RSLT_MODULE_SDHC</name>
          <initializer>= (0x14 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in SDHC module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a9b6bd9637f353699d08637ac19f7f6fe" prot="public">
          <name>CYHAL_RSLT_MODULE_SDIO</name>
          <initializer>= (0x15 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in SDIO module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab8eb6c73c4faba6bc4921c84ab03f065" prot="public">
          <name>CYHAL_RSLT_MODULE_SPI</name>
          <initializer>= (0x16 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in SPI module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a2fe5f42a913a4eefbf66dbe720f90041" prot="public">
          <name>CYHAL_RSLT_MODULE_SYSPM</name>
          <initializer>= (0x17 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in SysPM module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a421e006fc5d9ec6b40ae85276209f526" prot="public">
          <name>CYHAL_RSLT_MODULE_SYSTEM</name>
          <initializer>= (0x18 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in System module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a95968938f689d6e820293e66ffd59b15" prot="public">
          <name>CYHAL_RSLT_MODULE_TIMER</name>
          <initializer>= (0x19 &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in Timer module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a9d65008cd494335a5b5decf3533efed2" prot="public">
          <name>CYHAL_RSLT_MODULE_TRNG</name>
          <initializer>= (0x1A &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in RNG module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a61db0997675c2dc43ad7cf91e7160be5" prot="public">
          <name>CYHAL_RSLT_MODULE_UART</name>
          <initializer>= (0x1B &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in UART module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a608cd624d7042ae5d77c6134f7ea382f" prot="public">
          <name>CYHAL_RSLT_MODULE_USB</name>
          <initializer>= (0x1C &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in USB module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a012172915d19c167e1db5ff7e188adba" prot="public">
          <name>CYHAL_RSLT_MODULE_WDT</name>
          <initializer>= (0x1D &lt;&lt; 8)</initializer>
          <briefdescription>
<para>An error occurred in WDT module. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_rslt_module_chip: </bold><linebreak />Enum to specify module IDs for <ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref> values returned from the HAL.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="92" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" bodystart="61" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" line="62" />
      </memberdef>
      <memberdef id="group__group__hal__results_1ga6df5063be354515111d4f0b83d6128fc" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_signal_digital_out_t</name>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca77fc0320fd94c1f567d132da16ad6c17" prot="public">
          <name>CYHAL_SIGNAL_DMA_COMPLETE</name>
          <briefdescription>
<para>DMA complete signal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca86855c5139f1ea6ac9be84697cb7f90e" prot="public">
          <name>CYHAL_SIGNAL_PWM_OUT</name>
          <briefdescription>
<para>PWM output signal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fcae87e5c2a20f8964b4f9ac093b1e015b2" prot="public">
          <name>CYHAL_SIGNAL_PWM_OUT_INV</name>
          <briefdescription>
<para>PWM output signal inverted. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fcab07be6c470d4f803ff79c9cfd451988f" prot="public">
          <name>CYHAL_SIGNAL_PWM_OVERFLOW</name>
          <briefdescription>
<para>PWM overflow signal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca3f85859058fa1d7fcfa1c07a83840d7e" prot="public">
          <name>CYHAL_SIGNAL_PWM_UNDERFLOW</name>
          <briefdescription>
<para>PWM underflow signal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca556443e4d7743e14a440132443f3123b" prot="public">
          <name>CYHAL_SIGNAL_PWM_COMPARE</name>
          <briefdescription>
<para>PWM period match signal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca821dcc36128ba42217739d4200718d24" prot="public">
          <name>CYHAL_SIGNAL_TIMER_OVERFLOW</name>
          <briefdescription>
<para>Timer overflow signal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fcac9b5a151b6c7a0c1863adda936a6d64e" prot="public">
          <name>CYHAL_SIGNAL_TIMER_UNDERFLOW</name>
          <briefdescription>
<para>Timer underflow signal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca1a4bd1ac07a758ff59a55ed7fd59395a" prot="public">
          <name>CYHAL_SIGNAL_TIMER_CAPTURE</name>
          <briefdescription>
<para>Timer capture match signal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca2fb4e32464abcfca83fa33fb1c7a3e40" prot="public">
          <name>CYHAL_SIGNAL_QUADDEC_TC</name>
          <briefdescription>
<para>Quadrature Decoder terminal count signal. High on index event, or when counter reaches min/max value. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_signal_digital_out_t: </bold><linebreak />Enum to specify all of the digital output signals supported by different hardware peripherals.</para></briefdescription>
        <detaileddescription>
<para>These can be used as inputs to other peripherals if the selected device has internal routing resources. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="114" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" bodystart="98" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" line="99" />
      </memberdef>
      <memberdef id="group__group__hal__general__types_1gab2d2acfb82599df54152be0b170c6ec2" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_async_mode_t</name>
        <enumvalue id="group__group__hal__general__types_1ggab2d2acfb82599df54152be0b170c6ec2a580896db2028c77f9f89cb8772a1eb90" prot="public">
          <name>CYHAL_ASYNC_DMA</name>
          <briefdescription>
<para>Use DMA if available. </para>          </briefdescription>
          <detaileddescription>
<para>Otherwise fall back to software transfer. (Default) </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__general__types_1ggab2d2acfb82599df54152be0b170c6ec2ad748e5570bc89fd722da9720b3d22a19" prot="public">
          <name>CYHAL_ASYNC_SW</name>
          <briefdescription>
<para>Always perform a software transfer. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_async_mode_t: </bold><linebreak />group_hal_results</para></briefdescription>
        <detaileddescription>
<para>Modes that can be used for asynchronous transfers </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="126" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" bodystart="121" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" line="121" />
      </memberdef>
      <memberdef id="group__group__hal__general__types_1ga246fde0e79029f514ce3846b31e366d7" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_power_level_t</name>
        <enumvalue id="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a0f601c5d5843c59e58ee1988dd0e6861" prot="public">
          <name>CYHAL_POWER_LEVEL_OFF</name>
          <briefdescription>
<para>Power-off the comparator, while retaining configuration. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7ae06723d07ff431a2f427d95ac61e2afb" prot="public">
          <name>CYHAL_POWER_LEVEL_LOW</name>
          <briefdescription>
<para>Low comparator power and speed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7ae189a666d589f8acf4c64142365def61" prot="public">
          <name>CYHAL_POWER_LEVEL_MEDIUM</name>
          <briefdescription>
<para>Medium comparator power and speed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a4d8ce140c28177e31de20cf8da8e2a99" prot="public">
          <name>CYHAL_POWER_LEVEL_HIGH</name>
          <briefdescription>
<para>High comparator power and speed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a6f0f4df45e9cac012a2c8e5ba736241b" prot="public">
          <name>CYHAL_POWER_LEVEL_DEFAULT</name>
          <briefdescription>
<para>Default comparator power and speed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_power_level_t: </bold><linebreak />Selectable power levels.</para></briefdescription>
        <detaileddescription>
<para>Power levels are defined relative to others. Higher power levels offer better performance but consume more power.</para><para>Not all hardware supports four discrete power levels. If fewer power levels are supported, the values will be mapped as follows: <verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;4 Levels  &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;3 Levels  &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;2 Levels   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Off  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Off  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Off   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Low  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Low = Medium  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Low = Medium = High = Default   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Medium  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;High = Default  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p /&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;High = Default  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p /&gt;&lt;/td&gt;&lt;td&gt;&lt;p /&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;See the implementation specific documentation for details. </verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="155" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" bodystart="143" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" line="144" />
      </memberdef>
      <memberdef id="group__group__hal__syspm_1ga560aa7873d3131c4eb5d1453711305d2" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_syspm_callback_state_t</name>
        <enumvalue id="group__group__hal__syspm_1gga560aa7873d3131c4eb5d1453711305d2a30f5d217aded3c5525b1d9cea03ac5a8" prot="public">
          <name>CYHAL_SYSPM_CB_CPU_SLEEP</name>
          <initializer>= 0x01U</initializer>
          <briefdescription>
<para>Flag for MCU sleep callback. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__syspm_1gga560aa7873d3131c4eb5d1453711305d2aeaae71eba11b9c861e4a86a6f5c0f2aa" prot="public">
          <name>CYHAL_SYSPM_CB_CPU_DEEPSLEEP</name>
          <initializer>= 0x02U</initializer>
          <briefdescription>
<para>Flag for MCU deep sleep callback. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__syspm_1gga560aa7873d3131c4eb5d1453711305d2ac9de4348b02a53d947ce48bd7bc6922a" prot="public">
          <name>CYHAL_SYSPM_CB_SYSTEM_HIBERNATE</name>
          <initializer>= 0x04U</initializer>
          <briefdescription>
<para>Flag for Hibernate callback. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__syspm_1gga560aa7873d3131c4eb5d1453711305d2aca71bfa3460ce92a9eed50dace3b8b5a" prot="public">
          <name>CYHAL_SYSPM_CB_SYSTEM_NORMAL</name>
          <initializer>= 0x08U</initializer>
          <briefdescription>
<para>Flag for Normal mode callback. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__syspm_1gga560aa7873d3131c4eb5d1453711305d2af13d1c94115a90b1f9d734ace0017045" prot="public">
          <name>CYHAL_SYSPM_CB_SYSTEM_LOW</name>
          <initializer>= 0x10U</initializer>
          <briefdescription>
<para>Flag for Low power mode callback. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_syspm_callback_state_t: </bold><linebreak />Flags enum for the cpu state in a custom callback.</para></briefdescription>
        <detaileddescription>
<para>This is used to indicate what states a callback should be called in. When a callback is called, only one of these will be set at a time. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="174" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" bodystart="167" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" line="168" />
      </memberdef>
      <memberdef id="group__group__hal__syspm_1ga5a6a88eb2b6e35dbea25e36b027bf4ba" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_syspm_callback_mode_t</name>
        <enumvalue id="group__group__hal__syspm_1gga5a6a88eb2b6e35dbea25e36b027bf4baa1d8aad9b05d313a22e7666a98414f26d" prot="public">
          <name>CYHAL_SYSPM_CHECK_READY</name>
          <initializer>= 0x01U</initializer>
          <briefdescription>
<para>Callbacks with this mode are executed before entering into the low power mode. </para>          </briefdescription>
          <detaileddescription>
<para>The purpose of this transition state is to check if the device is ready to enter the low power mode. The application must not perform any actions that would prevent transition after returning true for this mode. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__syspm_1gga5a6a88eb2b6e35dbea25e36b027bf4baa190eae9b4e71d4c245038320880dcca3" prot="public">
          <name>CYHAL_SYSPM_CHECK_FAIL</name>
          <initializer>= 0x02U</initializer>
          <briefdescription>
<para>Callbacks with this mode are only executed if the callback returned true for CYHAL_SYSPM_CHECK_READY and a later callback returns false for CYHAL_SYSPM_CHECK_READY. </para>          </briefdescription>
          <detaileddescription>
<para>This mode should roll back any changes made to avoid blocking transition made in CYHAL_SYSPM_CHECK_READY mode </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__syspm_1gga5a6a88eb2b6e35dbea25e36b027bf4baadd83c77cb81d9d4aafef1d094e6c4e71" prot="public">
          <name>CYHAL_SYSPM_BEFORE_TRANSITION</name>
          <initializer>= 0x04U</initializer>
          <briefdescription>
<para>Callbacks with this mode are executed after the CYHAL_SYSPM_CHECK_READY callbacks' execution returns true. </para>          </briefdescription>
          <detaileddescription>
<para>In this mode, the application must perform the actions to be done before entering into the low power mode. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__syspm_1gga5a6a88eb2b6e35dbea25e36b027bf4baaf6a195dbd042da0bffc35b9161ca49e6" prot="public">
          <name>CYHAL_SYSPM_AFTER_TRANSITION</name>
          <initializer>= 0x08U</initializer>
          <briefdescription>
<para>In this mode, the application must perform the actions to be done after exiting the low power mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_syspm_callback_mode_t: </bold><linebreak />Enumeration of the transition modes in custom callback.</para></briefdescription>
        <detaileddescription>
<para>The general sequence is: CHECK_READY, BEFORE_TRANSITION, AFTER_TRANSITION. If any callback indicates that it is not able to change state as part of CHECK_READY, CHECK_FAIL will be run instead of the BEFORE/AFTER_TRANSITION. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="204" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" bodystart="188" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" line="189" />
      </memberdef>
      <memberdef id="group__group__hal__clock_1gafb9a1aeacf13f74784613724596a040f" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_clock_tolerance_unit_t</name>
        <enumvalue id="group__group__hal__clock_1ggafb9a1aeacf13f74784613724596a040fa5a0f500c0aadf1da07ac7a0bcb3682e0" prot="public">
          <name>CYHAL_TOLERANCE_HZ</name>
          <briefdescription>
<para>Clock tolerance specified directly in Hertz. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__clock_1ggafb9a1aeacf13f74784613724596a040fabc9ebdb36d6908b87b3f7dcc69ac4d5e" prot="public">
          <name>CYHAL_TOLERANCE_PPM</name>
          <briefdescription>
<para>Clock tolerance specified in parts-per-million. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__clock_1ggafb9a1aeacf13f74784613724596a040faaeb9d27160dad7a64dbc3d9c51198489" prot="public">
          <name>CYHAL_TOLERANCE_PERCENT</name>
          <briefdescription>
<para>Clock tolerance specified in a percent. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_clock_tolerance_unit_t: </bold><linebreak />Enum defining the different ways of specifying the acceptable clock tolerance.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="251" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" bodystart="246" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" line="247" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__hal__syspm_1ga19c98edec42da617e97eb09ea9292514" kind="typedef" prot="public" static="no">
        <type>bool(*</type>
        <definition>typedef bool(* cyhal_syspm_callback_t) (cyhal_syspm_callback_state_t state, cyhal_syspm_callback_mode_t mode, void *callback_arg)</definition>
        <argsstring>)(cyhal_syspm_callback_state_t state, cyhal_syspm_callback_mode_t mode, void *callback_arg)</argsstring>
        <name>cyhal_syspm_callback_t</name>
        <briefdescription>
<para>The system wide custom action power callback type. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">state</parametername>
</parameternamelist>
<parameterdescription>
<para>State the system or CPU is being transitioned into. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">mode</parametername>
</parameternamelist>
<parameterdescription>
<para>Callback mode. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback_arg</parametername>
</parameternamelist>
<parameterdescription>
<para>User argument passed as part of registering callback in <ref kindref="member" refid="group__group__hal__syspm_1ga5d1637ece9b27528636981acfc893fd3">cyhal_syspm_register_callback</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>If mode is <ref kindref="member" refid="group__group__hal__syspm_1gga5a6a88eb2b6e35dbea25e36b027bf4baa1d8aad9b05d313a22e7666a98414f26d">CYHAL_SYSPM_CHECK_READY</ref>, then this indicates whether the low power mode should be allowed (true) or not (false). Otherwise the return value is ignored. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" bodystart="214" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" line="214" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides basic types that are used across different HAL drivers. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="32"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="preprocessor">#define<sp />CYHAL_RSLT_CREATE(type,<sp />driver,<sp />code)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="55"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CY_RSLT_CREATE(type,<sp />CY_RSLT_MODULE_ABSTRACTION_HAL_BASE,<sp />((uint16_t)driver<sp />|<sp />(uint16_t)code)))</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="keyword">enum</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__results_1ga84f32ecb6376e2088d4f048e35f52005">cyhal_rslt_module_chip</ref></highlight></codeline>
<codeline lineno="62"><highlight class="normal">{</highlight></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005aa31caff90dfe21b862ea4c4d034208b6">CYHAL_RSLT_MODULE_HWMGR</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x01<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a5d2be4eb2e87e5d4f89f4b01cc69abc1">CYHAL_RSLT_MODULE_ADC</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x02<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a5664ced7d9350688ae8eccad08477747">CYHAL_RSLT_MODULE_CLOCK</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x03<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a381517173cfef57e367895000979e1cb">CYHAL_RSLT_MODULE_COMP</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x04<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab957798178a7d11049efcba5bf4887fc">CYHAL_RSLT_MODULE_CRC</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x05<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a06cacdcbcf43191ea723f86b18ab68e8">CYHAL_RSLT_MODULE_DAC</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x06<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a7f8347561e9fbf193dd8b77904163acc">CYHAL_RSLT_MODULE_DMA</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x07<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af4818692bb8ff6b7b19c2b15e395c1da">CYHAL_RSLT_MODULE_EZI2C</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x08<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="71"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005adae9f9541be461434c4e2011fe477bc3">CYHAL_RSLT_MODULE_FLASH</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x09<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a8a22f6926766c2e3e69868ec51c2572b">CYHAL_RSLT_MODULE_GPIO</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x0A<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a48c873ac3890a78ae0379e725396c607">CYHAL_RSLT_MODULE_I2C</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x0B<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a8f3c272518c2a32f2455e34137a5180d">CYHAL_RSLT_MODULE_I2S</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x0C<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab9373b6613ccb00bd4dedab0ae06d11c">CYHAL_RSLT_MODULE_INTERCONNECT</ref><sp /><sp />=<sp />(0x0D<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a291ed2da7ed5183c3e2164ab8b6a8c3e">CYHAL_RSLT_MODULE_OPAMP</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x0E<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a52c9005959fa8236fc262a990d3bd48f">CYHAL_RSLT_MODULE_PDMPCM</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x0F<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ac0436b7ec40cb5d645207a8bb23c0e0d">CYHAL_RSLT_MODULE_PWM</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x10<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c">CYHAL_RSLT_MODULE_QSPI</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x11<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="80"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af4f1d56292f0da9d3cdfa3cea392f304">CYHAL_RSLT_MODULE_QUADDEC</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x12<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a14d37547bcd694a6e968b9acf3eadd7b">CYHAL_RSLT_MODULE_RTC</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x13<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a70df074a301b74eb9ebb1f48e65c9377">CYHAL_RSLT_MODULE_SDHC</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x14<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a9b6bd9637f353699d08637ac19f7f6fe">CYHAL_RSLT_MODULE_SDIO</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x15<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005ab8eb6c73c4faba6bc4921c84ab03f065">CYHAL_RSLT_MODULE_SPI</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x16<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="85"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a2fe5f42a913a4eefbf66dbe720f90041">CYHAL_RSLT_MODULE_SYSPM</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x17<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="86"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a421e006fc5d9ec6b40ae85276209f526">CYHAL_RSLT_MODULE_SYSTEM</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x18<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a95968938f689d6e820293e66ffd59b15">CYHAL_RSLT_MODULE_TIMER</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x19<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="88"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a9d65008cd494335a5b5decf3533efed2">CYHAL_RSLT_MODULE_TRNG</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x1A<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a61db0997675c2dc43ad7cf91e7160be5">CYHAL_RSLT_MODULE_UART</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x1B<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="90"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a608cd624d7042ae5d77c6134f7ea382f">CYHAL_RSLT_MODULE_USB</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x1C<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a012172915d19c167e1db5ff7e188adba">CYHAL_RSLT_MODULE_WDT</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(0x1D<sp />&lt;&lt;<sp />8),<sp /><sp /></highlight></codeline>
<codeline lineno="92"><highlight class="normal">};</highlight></codeline>
<codeline lineno="93"><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal">{</highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca77fc0320fd94c1f567d132da16ad6c17">CYHAL_SIGNAL_DMA_COMPLETE</ref>,<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="101"><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca86855c5139f1ea6ac9be84697cb7f90e">CYHAL_SIGNAL_PWM_OUT</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fcae87e5c2a20f8964b4f9ac093b1e015b2">CYHAL_SIGNAL_PWM_OUT_INV</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="104"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fcab07be6c470d4f803ff79c9cfd451988f">CYHAL_SIGNAL_PWM_OVERFLOW</ref>,<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="105"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca3f85859058fa1d7fcfa1c07a83840d7e">CYHAL_SIGNAL_PWM_UNDERFLOW</ref>,<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="106"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca556443e4d7743e14a440132443f3123b">CYHAL_SIGNAL_PWM_COMPARE</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="107"><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca821dcc36128ba42217739d4200718d24">CYHAL_SIGNAL_TIMER_OVERFLOW</ref>,<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="109"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fcac9b5a151b6c7a0c1863adda936a6d64e">CYHAL_SIGNAL_TIMER_UNDERFLOW</ref>,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca1a4bd1ac07a758ff59a55ed7fd59395a">CYHAL_SIGNAL_TIMER_CAPTURE</ref>,<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="111"><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1gga6df5063be354515111d4f0b83d6128fca2fb4e32464abcfca83fa33fb1c7a3e40">CYHAL_SIGNAL_QUADDEC_TC</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="113"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__results_1ga6df5063be354515111d4f0b83d6128fc">cyhal_signal_digital_out_t</ref>;</highlight></codeline>
<codeline lineno="115"><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__general__types_1ggab2d2acfb82599df54152be0b170c6ec2a580896db2028c77f9f89cb8772a1eb90">CYHAL_ASYNC_DMA</ref>,</highlight></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__general__types_1ggab2d2acfb82599df54152be0b170c6ec2ad748e5570bc89fd722da9720b3d22a19">CYHAL_ASYNC_SW</ref>,</highlight></codeline>
<codeline lineno="126"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__general__types_1gab2d2acfb82599df54152be0b170c6ec2">cyhal_async_mode_t</ref>;</highlight></codeline>
<codeline lineno="127"><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="normal">{</highlight></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a0f601c5d5843c59e58ee1988dd0e6861">CYHAL_POWER_LEVEL_OFF</ref>,</highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7ae06723d07ff431a2f427d95ac61e2afb">CYHAL_POWER_LEVEL_LOW</ref>,</highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7ae189a666d589f8acf4c64142365def61">CYHAL_POWER_LEVEL_MEDIUM</ref>,</highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a4d8ce140c28177e31de20cf8da8e2a99">CYHAL_POWER_LEVEL_HIGH</ref>,</highlight></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a6f0f4df45e9cac012a2c8e5ba736241b">CYHAL_POWER_LEVEL_DEFAULT</ref></highlight></codeline>
<codeline lineno="155"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__general__types_1ga246fde0e79029f514ce3846b31e366d7">cyhal_power_level_t</ref>;</highlight></codeline>
<codeline lineno="156"><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal">{</highlight></codeline>
<codeline lineno="169"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga560aa7873d3131c4eb5d1453711305d2a30f5d217aded3c5525b1d9cea03ac5a8">CYHAL_SYSPM_CB_CPU_SLEEP</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x01U,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="170"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga560aa7873d3131c4eb5d1453711305d2aeaae71eba11b9c861e4a86a6f5c0f2aa">CYHAL_SYSPM_CB_CPU_DEEPSLEEP</ref><sp /><sp /><sp /><sp /><sp />=<sp />0x02U,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga560aa7873d3131c4eb5d1453711305d2ac9de4348b02a53d947ce48bd7bc6922a">CYHAL_SYSPM_CB_SYSTEM_HIBERNATE</ref><sp /><sp />=<sp />0x04U,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="172"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga560aa7873d3131c4eb5d1453711305d2aca71bfa3460ce92a9eed50dace3b8b5a">CYHAL_SYSPM_CB_SYSTEM_NORMAL</ref><sp /><sp /><sp /><sp /><sp />=<sp />0x08U,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga560aa7873d3131c4eb5d1453711305d2af13d1c94115a90b1f9d734ace0017045">CYHAL_SYSPM_CB_SYSTEM_LOW</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x10U,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="174"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__syspm_1ga560aa7873d3131c4eb5d1453711305d2">cyhal_syspm_callback_state_t</ref>;</highlight></codeline>
<codeline lineno="175"><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="preprocessor">#define<sp />CYHAL_SYSPM_CALLBACK_STATE_ALL<sp />(CYHAL_SYSPM_CB_CPU_SLEEP\</highlight></codeline>
<codeline lineno="178"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />CYHAL_SYSPM_CB_CPU_DEEPSLEEP\</highlight></codeline>
<codeline lineno="179"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />CYHAL_SYSPM_CB_SYSTEM_HIBERNATE\</highlight></codeline>
<codeline lineno="180"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />CYHAL_SYSPM_CB_SYSTEM_NORMAL\</highlight></codeline>
<codeline lineno="181"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />CYHAL_SYSPM_CB_SYSTEM_LOW)</highlight><highlight class="normal" /></codeline>
<codeline lineno="182"><highlight class="normal" /></codeline>
<codeline lineno="188"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="normal">{</highlight></codeline>
<codeline lineno="190"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga5a6a88eb2b6e35dbea25e36b027bf4baa1d8aad9b05d313a22e7666a98414f26d">CYHAL_SYSPM_CHECK_READY</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x01U,<sp /></highlight></codeline>
<codeline lineno="195"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga5a6a88eb2b6e35dbea25e36b027bf4baa190eae9b4e71d4c245038320880dcca3">CYHAL_SYSPM_CHECK_FAIL</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x02U,<sp /></highlight></codeline>
<codeline lineno="199"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga5a6a88eb2b6e35dbea25e36b027bf4baadd83c77cb81d9d4aafef1d094e6c4e71">CYHAL_SYSPM_BEFORE_TRANSITION</ref><sp /><sp /><sp />=<sp />0x04U,<sp /></highlight></codeline>
<codeline lineno="202"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga5a6a88eb2b6e35dbea25e36b027bf4baaf6a195dbd042da0bffc35b9161ca49e6">CYHAL_SYSPM_AFTER_TRANSITION</ref><sp /><sp /><sp /><sp />=<sp />0x08U,<sp /></highlight></codeline>
<codeline lineno="204"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__syspm_1ga5a6a88eb2b6e35dbea25e36b027bf4ba">cyhal_syspm_callback_mode_t</ref>;</highlight></codeline>
<codeline lineno="205"><highlight class="normal" /></codeline>
<codeline lineno="214"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />bool<sp />(*<ref kindref="member" refid="group__group__hal__syspm_1ga19c98edec42da617e97eb09ea9292514">cyhal_syspm_callback_t</ref>)(<ref kindref="member" refid="group__group__hal__syspm_1ga560aa7873d3131c4eb5d1453711305d2">cyhal_syspm_callback_state_t</ref><sp />state,<sp /><ref kindref="member" refid="group__group__hal__syspm_1ga5a6a88eb2b6e35dbea25e36b027bf4ba">cyhal_syspm_callback_mode_t</ref><sp />mode,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp />callback_arg);</highlight></codeline>
<codeline lineno="215"><highlight class="normal" /></codeline>
<codeline lineno="220" refid="structcyhal__syspm__callback__data__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">cyhal_syspm_callback_data</highlight></codeline>
<codeline lineno="221"><highlight class="normal">{</highlight></codeline>
<codeline lineno="223"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1ga19c98edec42da617e97eb09ea9292514">cyhal_syspm_callback_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />callback;</highlight></codeline>
<codeline lineno="226"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1ga560aa7873d3131c4eb5d1453711305d2">cyhal_syspm_callback_state_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />states;</highlight></codeline>
<codeline lineno="229"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1ga5a6a88eb2b6e35dbea25e36b027bf4ba">cyhal_syspm_callback_mode_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />ignore_modes;</highlight></codeline>
<codeline lineno="231"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*args;</highlight></codeline>
<codeline lineno="233"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">cyhal_syspm_callback_data<sp /><sp /><sp /><sp />*next;</highlight></codeline>
<codeline lineno="234"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcyhal__syspm__callback__data__t">cyhal_syspm_callback_data_t</ref>;</highlight></codeline>
<codeline lineno="235"><highlight class="normal" /></codeline>
<codeline lineno="246"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="247"><highlight class="normal">{</highlight></codeline>
<codeline lineno="248"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__clock_1ggafb9a1aeacf13f74784613724596a040fa5a0f500c0aadf1da07ac7a0bcb3682e0">CYHAL_TOLERANCE_HZ</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="249"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__clock_1ggafb9a1aeacf13f74784613724596a040fabc9ebdb36d6908b87b3f7dcc69ac4d5e">CYHAL_TOLERANCE_PPM</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="250"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__clock_1ggafb9a1aeacf13f74784613724596a040faaeb9d27160dad7a64dbc3d9c51198489">CYHAL_TOLERANCE_PERCENT</ref>,<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="251"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__clock_1gafb9a1aeacf13f74784613724596a040f">cyhal_clock_tolerance_unit_t</ref>;</highlight></codeline>
<codeline lineno="252"><highlight class="normal" /></codeline>
<codeline lineno="254" refid="structcyhal__clock__tolerance__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="255"><highlight class="normal">{</highlight></codeline>
<codeline lineno="256"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__clock_1gafb9a1aeacf13f74784613724596a040f">cyhal_clock_tolerance_unit_t</ref><sp />type;<sp /><sp /></highlight></codeline>
<codeline lineno="257"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />value;<sp /></highlight></codeline>
<codeline lineno="258"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcyhal__clock__tolerance__t">cyhal_clock_tolerance_t</ref>;</highlight></codeline>
<codeline lineno="259"><highlight class="normal" /></codeline>
<codeline lineno="264"><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="265"><highlight class="normal">}</highlight></codeline>
<codeline lineno="266"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="267"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_general_types.h" />
  </compounddef>
</doxygen>